GPT-5.4
Approved Data Classifications
Description
GPT-5.4 is OpenAI's flagship model for coding and agentic tasks across domains. It supports reasoning.effort settings (none, low, medium, high, and xhigh), accepts text, image, and PDF input, and outputs text. The model provides a 1,050,000-token context window with up to 128,000 output tokens.
Capabilities
| Model | Knowledge Cutoff | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gpt-5.4 | Aug 31 2025 | Text, Image, Pdf | Text | 1,050,000 | $2.50/1M input $15.00/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
- Cached input: $0.22 per 1M tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gpt-5.4",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gpt-5.4", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gpt-5.4",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
print(completion.choices[0].message)
References
- OpenAI GPT-5.4 Model
https://platform.openai.com/docs/models/gpt-5.4- OpenAI API Pricing
https://openai.com/api/pricing/